Subject: [alpine-aports] [PATCH] main/openvswitch: update to 2.5.0

From: Stuart Cardall <[email-masked]>
Date: Mon, 7 Mar 2016 04:19:24 +0000

changelog:

https://github.com/openvswitch/ovs/blob/master/NEWS
---
 main/openvswitch/0002-fix-wait-any.patch | 21 +++++++++++++++++++++
 main/openvswitch/APKBUILD                | 16 ++++++++++------
 2 files changed, 31 insertions(+), 6 deletions(-)
 create mode 100644 main/openvswitch/0002-fix-wait-any.patch

diff --git a/main/openvswitch/0002-fix-wait-any.patch b/main/openvswitch/0002-fix-wait-any.patch
new file mode 100644
index 0000000..085fa36
--- /dev/null
+++ b/main/openvswitch/0002-fix-wait-any.patch
@@ -0,0 +1,21 @@
+POSIX uses -1 and does not define WAIT_ANY so we need to define it if
+needed.
+
+See:
+http://pubs.opengroup.org/onlinepubs/9699919799/functions/waitpid.html
+http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/sys_wait.h.html
+
+--- openvswitch-2.5.0/tests/test-ovn.c
++++ openvswitch-2.5.0/tests/test-ovn.c.new
+@@ -19,6 +19,11 @@
+ #include <errno.h>
+ #include <getopt.h>
+ #include <sys/wait.h>
++
++#ifndef WAIT_ANY
++#define WAIT_ANY (-1)
++#endif
++
+ #include "dynamic-string.h"
+ #include "fatal-signal.h"
+ #include "match.h"
diff --git a/main/openvswitch/APKBUILD b/main/openvswitch/APKBUILD
index d772ae6..25e5512 100644
--- a/main/openvswitch/APKBUILD
+++ b/main/openvswitch/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: Stuart Cardall <[email-masked]>
 # Maintainer: Stuart Cardall <[email-masked]>
 pkgname=openvswitch
-pkgver=2.4.0
-pkgrel=1
+pkgver=2.5.0
+pkgrel=0
 pkgdesc="A production quality, multilayer virtual switch"
 url="http://openvswitch.org/"
 arch="all"
@@ -19,6 +19,7 @@ source="http://openvswitch.org/releases/$pkgname-$pkgver.tar.gz
 	ovs-modules.initd
 	musl-if_packet.patch
 	0001-ovs-thread-Set-stacksize-to-1M.patch
+	0002-fix-wait-any.patch
 	ifupdown-alpine.patch
 	readme.debian.patch
 	"
@@ -46,7 +47,7 @@ build() {
 		--enable-ndebug \
 		|| return 1
 	make || return 1
-	#make check || return 1
+#	make check || return 1
 }
 
 monitor() {
@@ -94,7 +95,7 @@ bashcomp() {
                 "$subpkgdir"/usr/share/bash-completion/completions/$pkgname/ || return 1
 }
 
-md5sums="4ff52595855c1f9e4dd3e84295599f5f  openvswitch-2.4.0.tar.gz
+md5sums="d86045933aa8f582f1d74ab77f998e44  openvswitch-2.5.0.tar.gz
 a2b05882127059f79a02d1c49b58e526  ovsdb-server.initd
 f10a8ac784654bec359bda52779f16fe  ovsdb-server.confd
 384ad5bbe9dd788de78012864233a756  ovs-vswitchd.initd
@@ -102,9 +103,10 @@ f10a8ac784654bec359bda52779f16fe  ovsdb-server.confd
 45b381d434ccbc634a3224c5963edc66  ovs-modules.initd
 58bee4f4b4e632f2af74b91e27f68b5d  musl-if_packet.patch
 59fa9a6d293a25571562a5190ae559f2  0001-ovs-thread-Set-stacksize-to-1M.patch
+56ca9845f6729a35ca780fffc47322d9  0002-fix-wait-any.patch
 85d556990605747b2e5ddf782e2406db  ifupdown-alpine.patch
 7f8fe9a891992bebf476a58122dabd60  readme.debian.patch"
-sha256sums="424c5a8dea1c5b153e8c1803bb041d0495e81379fb6f386dd58ee903a7681b9a  openvswitch-2.4.0.tar.gz
+sha256sums="34da54fbad503205b1a66b48ca4312679e1ce5b04763a9fb86050b2b25d66f21  openvswitch-2.5.0.tar.gz
 737be74a4ce951cd49b9cd85696ff5cbdb54fa7ad52c831494fcf336487fc420  ovsdb-server.initd
 d0d8a6a7256f4cc47ab1b9f9f7657202388133bcfff3668e7c1d4adbcc572261  ovsdb-server.confd
 d2db312103d740fb9246ea218560995b969cb8356e3524d4c0ce79a06ccc65b8  ovs-vswitchd.initd
@@ -112,9 +114,10 @@ cc189d5ca24708ff775a4de312df3f611c65714724b8901ec6527c9e3f22e14a  ovs-vswitchd.c
 06079771a94dd363218f2b3561efd0178a47d85bfd73c8b6cf24eef4ec82b0de  ovs-modules.initd
 ccd08d23963f3a3ac153df0746a117eea8544aa77f4adfa8f86dc5e22640a5f6  musl-if_packet.patch
 faf997814e89b0b5948c06050ef38051f0bc6b108958f76313263f77a724906c  0001-ovs-thread-Set-stacksize-to-1M.patch
+1343d42be0dfc5fd77afd75269e85a0d65b0f23d0791138dd466f8d9a2081907  0002-fix-wait-any.patch
 ac312e42b5d47137f860091ad041e7486107ba7956d37cd5a5c91893f7b8a3b3  ifupdown-alpine.patch
 942c34f14f6c6db92e2afe20c94fe6302bbb5e41eba2391713f908de101a5177  readme.debian.patch"
-sha512sums="bd66bcb37beacb0d684001609c26d9dc487efde0ecb051004813b0f8a5999039207b012617195d82d56aefe9a1756615e2158e531a71e9b1e5e10345f0370bae  openvswitch-2.4.0.tar.gz
+sha512sums="32addb6ed8d4b78e6eb5b951de6b2390dacb3a66096ff8de6020e6d42d460e1038eec43c4057707942f8043ebcad848488d09c7aabfa4599d53782a9cc69f089  openvswitch-2.5.0.tar.gz
 097d4721a78fff749c534910d98543778474406bd61b469b88a0d981a2a380556444437ec44278cead6d8688c45a38b2acbf1551acb9ab38d048f413728e3b88  ovsdb-server.initd
 b1588d076bbfc7ef2dd46fce8e46186f40cbbc4667697f7ac13ddc68e34568fdab315fde47838de7f6d32916853190336cfe3735f672ad7cb624ae14dbff55a5  ovsdb-server.confd
 4bff37f8bed32d5327b4b0433984ab8ffdce77f618034aa6ffd1ad4a7caa00703ea2bef312876dce5aafa4c17fe06dddd75e5c05c10e13bf8f5c3805a0654a96  ovs-vswitchd.initd
@@ -122,5 +125,6 @@ b1588d076bbfc7ef2dd46fce8e46186f40cbbc4667697f7ac13ddc68e34568fdab315fde47838de7
 614c86eab826bb8f934cf4a98508fde9952a0b7211414e074510473af3455077a333729aa0e59f3634b9bf30d64847d0f7597246506c36a8f09d57573a2522fc  ovs-modules.initd
 c5f137bce28bf80c1e5a6ca18722dae9a5ecff03d20bf92642270951bbbb499e5fb05a08163442720e866d135fcd7426b88add0b42ed240d5f0c068aa9fcd9da  musl-if_packet.patch
 5fed04e68b58ab322154fa1cc4c4b63b08c22ed41f0b7713dbe8437f7cb4e9fd93c8aba524c2e5a46bba956da9439f5bfe5ba6fcdff2b98fa9bbcc748c5b64db  0001-ovs-thread-Set-stacksize-to-1M.patch
+c785a3cdecd40882f9a11e1822e9fda925e68ff79a6e57a79affeb692c1eeaceedb22e6f20ea721f4216c3b06de9f4579ffcf2058cf516b3007aa2a46a166f38  0002-fix-wait-any.patch
 0f2847986783f020f0708f2b185f10d1d34ead679bcae553a42df34a244c815e6e7346a2d73af69aff86258ecb3c855630a99ec28c6c7567bcfeacfb5379e5ee  ifupdown-alpine.patch
 346f11a81f1538513151ea328fcbf2cdfc3c864aa34ea522055bc70266b9b2b2e05bdc0691593a9a1e4ef360d89d465507623edbcd9f764e3707d852736c895c  readme.debian.patch"
-- 
2.7.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---